import("stdfaust.lib");

//variables
gain = hslider("gain", 0.8, 0, 1, 0.01);   
freq=hslider("[2]freq [unit: Hz]",58,20,100,0.1);
period=0.43;
taux = 60;
alea=1.2;
rapport=hslider("rapport [knob:2][unit: %]",80, 0, 100, 0.01);
gate = 1-button("gate  [switch:1]");

//enveloppe
taux2 = (taux/-50)+1;
enveloppe = os.osc(1/period) : >(taux2): si.smoo;

//alea
aleactrl = no.lfnoise0(alea)>((rapport-50)/-50): si.smoo;

//synthese
osc1= os.osc (freq)<:*;
osc2= os.osc (freq*77.5);
osc3= os.osc (freq*77.5)*0.3;
process = gain*gate*aleactrl*enveloppe*(osc1*(osc2+osc3))*0.6<:_,_;

